$ErrorActionPreference = 'Stop';
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  softwareName  = 'Zulip*'
  fileType      = 'msi'
  silentArgs    = "/quiet /norestart /l*v `"$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0)
  url           = "https://github.com/zulip/zulip-desktop/releases/download/v5.5.0/Zulip-Web-Setup-5.5.0.msi"
  checksum      = 'B587A317C8C020DA373CB128D49EC2E9D6742F9859565BB095753DB3DC6B7D5B'
  checksumType  = 'sha256'
  destination   = $toolsDir
}

Install-ChocolateyPackage @packageArgs
